Bug 1655424 - Need to change graphite db initialization command in tendrl-ansible as per new graphite-web version-1.1.4-1
Summary: Need to change graphite db initialization command in tendrl-ansible as per ne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ansible
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.z Batch Update 3
Assignee: Nishanth Thomas
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On: 1554694 1554696 1612125
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 07:03 UTC by gowtham
Modified: 2019-02-04 07:44 UTC (History)
4 users (show)

Fixed In Version: tendrl-ansible-1.6.3-11.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-04 07:43:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0265 None None None 2019-02-04 07:44:07 UTC
Github https://github.com/Tendrl tendrl-ansible issues 133 None None None 2018-12-06 13:14:35 UTC

Description gowtham 2018-12-03 07:03:17 UTC
Description of problem:

We are moving graphite-web from 0.9.X to 1.1.4-1. So as per the new version of graphite-web sync DB initialization should be changed in tendrl-ansible.

Version-Release number of selected component (if applicable):


How reproducible:
Initialization command for graphite-web-1.1.4-1 is changed to we need to replace old graphite db initialization command with new one in tendrl-ansible.

Steps to Reproduce:
1.
2.
3.

Actual results:
New version of graphite won't work with current initialization command

Expected results:
Tendrl ansible able to initialize graphite db with a new version of graphite-web.

Additional info:

Comment 2 gowtham 2018-12-06 13:14:35 UTC
PR under reivew: https://github.com/Tendrl/tendrl-ansible/pull/134

Comment 3 gowtham 2018-12-06 13:20:00 UTC
If old graphite is updated to the new version:
 
then we need to do some extra step:

1. PYTHONPATH=$GRAPHITE_ROOT/webapp/ django-admin migrate --fake-initial --settings=graphite.settings --run-syncdb

   if any app faile with table already exit
   (E.g) dashboard app is failing then run fake command for that
     PYTHONPATH=$GRAPHITE_ROOT/webapp/ django-admin migrate --fake dashboard --settings=graphite.settings

2. then again continue step 1

Comment 5 Martin Bukatovic 2018-12-12 18:26:25 UTC
Providing QA ack, this is about making sure that installation works with new graphite stack (BZ 1658702).

Note that qe team needs to make sure that this change doesn't break update path (separate BZ will be
created with exact description of a case if problem with this is noticed during testing.

Comment 9 Filip Balák 2019-01-11 09:12:44 UTC
Initialization command in tendrl-ansible is changed to `django-admin migrate --settings=graphite.settings --run-syncdb` and installation works fine. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-11.el7rhgs.noarch
tendrl-api-1.6.3-8.el7rhgs.noarch
tendrl-api-httpd-1.6.3-8.el7rhgs.noarch
tendrl-commons-1.6.3-14.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-18.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-3.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-18.el7rhgs.noarch
tendrl-node-agent-1.6.3-13.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-3.el7rhgs.noarch
tendrl-ui-1.6.3-14.el7rhgs.noarch

Comment 11 errata-xmlrpc 2019-02-04 07:43:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0265


Note You need to log in before you can comment on or make changes to this bug.